<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="prod" xml:lang="fr"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>

  <refnamediv>
    <refname>prod</refname>

    <refpurpose>produit des termes d'une matrice</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Séquence d'appel</title>

    <synopsis>y=prod(x)
y=prod(x,'r') ou y=prod(x,1)
y=prod(x,'c') ou y=prod(x,2)
y=prod(x,'m')</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Paramètres</title>

    <variablelist>
      <varlistentry>
        <term>x</term>

        <listitem>
          <para>vecteur ou matrice (réelle ou complexe)</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>y</term>

        <listitem>
          <para>scalaire ou vecteur</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Pour un vecteur ou une matrice <literal>x</literal>,
    <literal>y=prod(x)</literal> renvoie un scalaire <literal>y</literal> égal
    au produit des termes de <literal>x</literal>.</para>

    <para><literal>y=prod(x,'r')</literal> (ou <literal>y=prod(x,1)</literal>)
    effectue le produit suivant l'indice de ligne. Chaque composante du
    vecteur ligne <literal>y</literal> contient le produit de la colonne
    correspondante <literal>x</literal>
    (<literal>y(j)=prod(x(i,j),i=1,m)</literal>).</para>

    <para><literal>y=prod(x,'c')</literal> (ou <literal>y=prod(x,2)</literal>)
    effectue le produit suivant l'indice de colonne. Chaque composante du
    vecteur colonne <literal>y</literal> contient le produit de la ligne
    correspondante de <literal>x</literal> (<literal>y(i)=
    prod(x(i,j),j=1,n)</literal>)).</para>

    <para><literal>y=prod(x,'m')</literal> effectue le produit suivant la
    première dimension plus grande que 1 (compatibilité avec Matlab).</para>
  </refsection>

  <refsection>
    <title>Exemples</title>

    <programlisting role="example"><![CDATA[ 
A=[1,2;0,100];
prod(A)
prod(A,'c')
prod(A,'r')
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>Voir Aussi</title>

    <simplelist type="inline">
      <member><link linkend="cumprod">cumprod</link></member>

      <member><link linkend="sum">sum</link></member>
    </simplelist>
  </refsection>
</refentry>
